## org.eclipse.emf.importer.ecore
Class EcoreImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication
          org.eclipse.emf.importer.ecore.EcoreImporterApplication

All Implemented Interfaces:
  IApplication

    public class EcoreImporterApplication

extends ModelImporterApplication

Nested Class Summary
`static class` `EcoreImporterApplication.PackageInfo`

Field Summary
`protected java.util.Map<java.lang.String,EcoreImporterApplication.PackageInfo>` `nameToPackageInfo`

Fields inherited from class org.eclipse.emf.importer.ModelImporterApplication
`copyright, editFragmentPath, editorFragmentPath, editorProjectLocationPath, editProjectLocationPath, genJDKLevel, genModelFullPath, modelFragmentPath, modelImporter, modelLocations, modelPluginID, modelProjectLocationPath, NL, quiet, referencedEPackages, referencedGenModelURIToEPackageNSURIs, reload, sdo, templatePath, testsFragmentPath, testsProjectLocationPath, validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`EcoreImporterApplication()`

Method Summary
`protected void` `adjustEPackages(Monitor monitor)`
`protected ModelImporter` `createModelImporter()`
`EcoreImporter` `getEcoreImporter()`
`protected java.lang.StringBuffer` `getUsage()`
`protected int` `processArgument(java.lang.String[] arguments, int index)`
`protected int` `processPackageInformation(java.lang.String[] arguments, int index, java.util.Map<java.lang.String,EcoreImporterApplication.PackageInfo> nsURIToPackageInfo)`
`protected void` `traverseEPackages(java.util.List<EPackage> ePackages)`

Methods inherited from class org.eclipse.emf.importer.ModelImporterApplication

`adjustAttributes, adjustGenModel, adjustModelImporter, adjustModelImporterAfterPrepare, appendLine, computeEPackages, doExecute, execute, getModelImporter, getProgressMonitor, handleEPackage, handleGenModelPath, handleQualifiedEPackageName, handleReferencedEPackages, handleUnrecognizedArgument, printUsage, processArguments, processModelAndGenModelLocationArguments, processModelProjectArguments, run, run, run, setSDODefaults, start, stop, usePlatformURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameToPackageInfo

    protected java.util.Map<java.lang.String,EcoreImporterApplication.PackageInfo> nameToPackageInfo

Constructor Detail

### EcoreImporterApplication

    public EcoreImporterApplication()

Method Detail

### getEcoreImporter

    public EcoreImporter getEcoreImporter()

### createModelImporter

    protected ModelImporter createModelImporter()

  Specified by:
    `createModelImporter` in class `ModelImporterApplication`

### getUsage

    protected java.lang.StringBuffer getUsage()

  Specified by:
    `getUsage` in class `ModelImporterApplication`

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

  Overrides:
    `processArgument` in class `ModelImporterApplication`

### processPackageInformation

    protected int processPackageInformation(java.lang.String[] arguments,
                                            int index,
                                            java.util.Map<java.lang.String,EcoreImporterApplication.PackageInfo> nsURIToPackageInfo)

### adjustEPackages

    protected void adjustEPackages(Monitor monitor)

  Overrides:
    `adjustEPackages` in class `ModelImporterApplication`

### traverseEPackages

    protected void traverseEPackages(java.util.List<EPackage> ePackages)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.